Jaunty - Wireless issue causes laptop shutdown to hang indefinitely

Bug #365733 reported by w3wsrmn on 2009-04-23
160
This bug affects 20 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Brad Figg

Bug Description

As of Jaunty, when attempting to shutdown my laptop, it hangs indefinitely at:
Deconfiguring network interfaces...

It seems to be a wireless issue, as the laptop will shutdown normally if connected via wired.

If connected to wireless at shutdown, hangs.
If disconnected from wireless, but radio on, hangs.

w3wsrmn (w3wsrmn) wrote :
w3wsrmn (w3wsrmn) wrote :
Ben Koerner (koernerb) on 2009-04-24
affects: ubuntu → linux (Ubuntu)
Charles Profitt (cprofitt) wrote :

I found that in my situation if I do a:

sudo ifconfig wlan0 down

and then shutdown it resolved the issue.

Can you try this and see if it resolves your issues. Thanks.

Charles Profitt (cprofitt) wrote :

I also verified that turning wireless off via bios results in the same results as reported here.

Linux Tardis 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux
03:00.0 Network controller: Intel Corporation Wireless WiFi Link 5300

Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Confirmed

Architecture: amd64
Dependencies:

DistroRelease: Ubuntu 9.04
Package: linux None [modified: /var/lib/dpkg/info/linux.list]
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Charles Profitt (cprofitt) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Brad Figg (brad-figg) wrote :

Per the kernel team's bug policy can you please run the following
command from a terminal window (Applications->Accessories->Terminal).
It will automatically gather and attach relevant debug information to
this bug report:

apport-collect -p linux-image-`uname -r` <bug#>

For more information regarding the kernel team bug policy, please refer
to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we
appreciate your help and feedback.

Brad Figg (brad-figg) wrote :

Per the kernel team's bug policy can you please run the following
command from a terminal window (Applications->Accessories->Terminal).
It will automatically gather and attach relevant debug information to
this bug report:

apport-collect -p linux-image-`uname -r` 365733

For more information regarding the kernel team bug policy, please refer
to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we
appreciate your help and feedback.

Changed in linux (Ubuntu):
assignee: nobody → Brad Figg (brad-figg)
status: Confirmed → Incomplete
António Lima (amrlima) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: fglrx
ProcEnviron:
 SHELL=/bin/bash
 LANG=pt_PT.UTF-8
Uname: Linux 2.6.28-12-generic x86_64
UserGroups: adm admin audio cdrom dialout dip fax fuse lpadmin netdev plugdev sambashare tape video

Charles Profitt (cprofitt) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=b38780ac-c25b-44a9-aafb-a982f84a5d2a
MachineType: LENOVO 2081CTO
Package: linux-image-2.6.28-11-generic 2.6.28-11.42
PackageArchitecture: amd64
ProcCmdLine: root=UUID=ff02ec07-c9c6-4de5-b783-c9928ee32cbe ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

yurx cherio (cherio) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=657c80bd-f6ad-4d88-89d6-230904d80e4c
MachineType: Dell Inc. MP061
Package: linux-image-2.6.28-12-generic 2.6.28-12.43
PackageArchitecture: amd64
ProcCmdLine: root=/dev/sda1 ro quiet nosplash noresume
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-12.43-generic
Uname: Linux 2.6.28-12-generic x86_64
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare vboxusers

yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :
yurx cherio (cherio) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=af81fcdf-cbb1-4049-8fab-26530baaa63d
MachineType: Sony Corporation VGN-SR220J
Package: linux-image-2.6.28-11-generic 2.6.28-11.42
PackageArchitecture: amd64
ProcCmdLine: root=UUID=7030bb8c-5886-4d7f-a03d-23e5665fc69d ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :
fari81 (fmmirzaei) wrote :

Hi,

I RANDOMLY get the same error. I posted all the apport-collect out put above. There are several related bugs (maybe identical) and threads listed here (some of them):

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/302452
https://bugs.launchpad.net/ubuntu/+bug/369760
https://bugs.launchpad.net/usplash/+bug/326988
https://bugs.launchpad.net/ubuntu/+bug/350207
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/355054

http://ubuntuforums.org/showthread.php?p=7344807
http://ubuntuforums.org/showthread.php?t=1134201
http://ubuntuforums.org/showthread.php?t=1140584
http://ubuntuforums.org/showthread.php?t=1145034
http://ubuntuforums.org/showthread.php?t=965935

(and many others)

Here is a summary of what I found out:

1- This bug appears to be kind of RANDOMLY happening. After a fresh install, I used to get this shutdown crash. For a couple of days it went away. But then it again came back. I did install some packages in between (totally unrelated to wireless: acroread etc.)

2- Usually (not always) when I shutdown/restart the machine on battery, everything seems to be OK. No kernel panic, no iwlagn error. nothing.

3- It seems that when I turn off the wireless and then shutdown/restart, everything is OK.

4- Some users have observed that when splash is removed from the menu.lst, the problem doesn't happen. I have also observed that. Although, I didn't permanently remove the splash - I just did it a couple of times using grub editor during boot up, and in all those instances, the shutdown process went smoothly. I don't know if this was just random or not.

5- I couldn't find a version of kernel traceback in /var/log/kern.log or /var/log/kern.log.0 (it seems to be missing from there). However, during shutdown, when I press CTRL+ALT+F7, there is a kernel panic. The last messages before the kernel panic is this (I wrote down from the monitor):

[ 371.328580] iwlagn: Error: Response NULL in 'REPLY_ADD_STA'
[ 371.344681] general protection fault: 0000 [#1] SMP
[ 371.344752] last sysfs file: /sys/devices/pci0000:00/0000:00:1c.2/0000:04:00.0/rfkill/rfkill0/state
[ 371.344831] Dumping ftrace buffer:

The picture of the rest of the traceback is attached. After the traceback, the following messages appear:

* Killing all remaining processes... [fail]
* Deconfiguring network interfaces... [OK]
* Unmounting temporary filesystems... [OK]
* Deactivating swap... [OK]
* Unmounting local filesystem.... [OK]
* Will now halt

And then hangs indefinitely. I can either press and keep power button to turn it off, or I can press CTRL+ALT+DEL to restart the system.

Looking at the kernel panic, it seems that something is wrong with iwlagn.

6- A suggested work-around can be found in this forum:

http://ubuntuforums.org/showpost.php?p=7149271&postcount=22

Some users have reported that this work around fixes their problem. However, this might be just random as well.

fari81 (fmmirzaei) wrote :

I changed the status to confirmed. If it is still incomplete, please let us know what is needed to complete it.

Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=f40e1cdc-4c16-4ad7-83a3-5ff40d199e57
MachineType: Dell Inc. Latitude E6500
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-11-generic 2.6.28-11.42
PackageArchitecture: amd64
ProcCmdLine: root=UUID=e8c52af4-83b0-4fd4-abee-c939f29f3dad ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic x86_64
UserGroups:

Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
Ted de Gouw (ted-hinttech) wrote :
fari81 (fmmirzaei) wrote :

Guys,

I've installed linux-backports-modules and the problem is fixed now :D.

The system doesn't hang indefinitely when shutting down. Although when I press CTRL+ALT+F7, I still can see the following errors:

iwlagn: Error: Response NULL in 'REPLY_ADD_STA'

or

Killing all remaining processes... [fail]

but I do NOT get a Kernel panic anymore and the system continues to shutdown normally. I've done this about a week ago and since then, I've got no kernel panic and no hangs.

However, this might be just random. Please test it on you systems and report if this also fixes your problems.

Faraz

although I updated the kernel at the same time, installing linux-backports
fixes for me as well :)

On Thu, Jun 18, 2009 at 1:41 AM, fari81 <email address hidden> wrote:

> Guys,
>
> I've installed linux-backports-modules and the problem is fixed now :D.
>
> The system doesn't hang indefinitely when shutting down. Although when I
> press CTRL+ALT+F7, I still can see the following errors:
>
> iwlagn: Error: Response NULL in 'REPLY_ADD_STA'
>
> or
>
> Killing all remaining processes... [fail]
>
> but I do NOT get a Kernel panic anymore and the system continues to
> shutdown normally. I've done this about a week ago and since then, I've
> got no kernel panic and no hangs.
>
> However, this might be just random. Please test it on you systems and
> report if this also fixes your problems.
>
> Faraz
>
> --
> Jaunty - Wireless issue causes laptop shutdown to hang indefinitely
> https://bugs.launchpad.net/bugs/365733
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
>
> Bug description:
> As of Jaunty, when attempting to shutdown my laptop, it hangs indefinitely
> at:
> Deconfiguring network interfaces...
>
> It seems to be a wireless issue, as the laptop will shutdown normally if
> connected via wired.
>
> If connected to wireless at shutdown, hangs.
> If disconnected from wireless, but radio on, hangs.
>

Charles Profitt (cprofitt) wrote :

All I did was install the updates which updated the kernel to:

 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:55:09 UTC 2009 x86_64 GNU/Linux

The issues is now resolved for me through five test shutdowns

Charles Profitt (cprofitt) wrote :

The previous report was inaccurate... when I went to shut down the computer for the 6th time it hung gain. Since that hang I have not had a successful shutdown w/o first running the command:

sudo ifconfig wlan0 down

fari81 (fmmirzaei) wrote :

Charles,

Have you tried installing linux-backports-modules?

Since I installed that, I don't have this problem anymore (even after kernel update).

Faraz

ndee (ndee-gmx) wrote :

Hi,

issue still persists for me with Linux ndee-tp 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:55:09 UTC 2009 x86_64 GNU/Linux

Kamil Páral (kamil.paral) wrote :

Same problem with Thinkpad R61. I attach a stack trace.

António Lima (amrlima) wrote :

linux-backports-modules solved the problem for me. tested more then 10 reboots and a couple of shutdowns.

ndee (ndee-gmx) wrote :

Hi,

don't get me wrong. But why isn't this issue patched on the current stable release. I am sure there are thousands of people out there who are angry because their Ubuntu does not shutdown properly. I wonder why the "userfriendliest linux approach" is of no importance here. Sorry but Ubuntu claims to be easy to use and instead of solving the issue with an update people should find docs and hack their system to get backports? Something is wrong in Ubuntus strategy.

I installed Ubuntu on my R61 because I had no time to compile Gentoo, I regret it already ;-)

Solution (for me)
apt-get install apmd
gedit /etc/modules
add this line===> apm power_off=1

cheers

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=247d0acb-d989-4d14-8b32-400d6667f690
Lsusb:
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Hewlett-Packard HP Pavilion dv6500 Notebook PC
NonfreeKernelModules: nvidia wl
Package: linux-image-2.6.28-13-generic 2.6.28-13.45
PackageArchitecture: amd64
ProcCmdLine: root=UUID=255a63c0-6670-4133-a030-39bdd8d38334 ro splash vga=771
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_ZA.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-13.45-generic
Uname: Linux 2.6.28-13-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
Queery1985 (djnoeth) wrote :
wiz21 (schampailler) wrote :

ifconfig wlan0 down

works for me on my laptop.

For those who use Kubuntu (KDE 4+) and dont wan't to type that command on each halt/reboot, here's what I've done :

create 2 scripts which are executable by root. One for halt, on for reboot.

basically the script are

#!/bin/sh
ifconfig wlan0 down
halt

and

#!/bin/sh
ifconfig wlan0 down
reboot

Then, in the "Lgin Manager" configuration,

change the commands to run from

/sbin/halt to yourhaltscript

and

/sbin/reboot to your rebootscript.

This way you'll enjoy a normal user experience.

(but I don't know wht will happen if you use networked filesystems and so on, guess it's safe but ain't sure).

stF

wiz21 (schampailler) wrote :

oops in my previous msg, one shoud read /sbin/halt(reboot) instead of halt(reboot)

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=d352b211-5e58-40c0-b37c-139b431174ca
MachineType: Dell Inc. Inspiron 1720
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-13-generic 2.6.28-13.45
PackageArchitecture: amd64
ProcCmdLine: root=UUID=9d04e9d1-c3ca-4c0e-a1bb-7d8a665096bc ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=es_ES.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-13.45-generic
Uname: Linux 2.6.28-13-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Rülych (rubenillodo) wrote :
Saivann Carignan (oxmosys) wrote :

For those who suffer from that bug, here is workaround script that you can put in /etc/rc0.d/ and /etc/rc6.d/ with execution permission (sudo chmod +x /etc/rc0.d/K00killwlan) in order to shutdown and restart properly.

Simon Déziel (sdeziel) wrote :

With Jaunty on a Thinkpad SL400, when I shutdown my system hang with the following messages :

nm-system-settings: SCPlugin-Ifupdown: device removed (uid: /org/freedesktop/Hal/devices/net_00_23_xx_xx_xx_xx)
nm-system-settings: Ifupdown: get unmanaged devices count: 0
nm-system-settings: SCPlugin-Ifupdown: device removed (uid: /org/freedesktop/Hal/devices/net_00_21_xx_xx_xx_xx)

When I press Ctrl-Alt-F7 I have this :
* Asking all remaining process to terminate... [ OK ]
* Killing all remaining process... [ OK ]
* Deconfiguring network interfaces...

If I turn off my wireless card *at this point* I get this :

[ xxxx.xxxxxx] iwlagn: Radio Frequency Kill Switch is On:
[ xxxx.xxxxxx] Kill Switch myst be turned off for wireless networking to work.
[ xxxx.xxxxxx] iwlagn: Error sending REPLY_STATISTICS_CMD: enqueue_hcmd failed: -5

I can still reboot properly with SysRq but it's a bit annoying.

The only way to shutdown/reboot properly is to turn off wireless before.

Installing linux-backports-modules-jaunty fixes the issue but I still believe it would be nice to fix this without
this "hack".

Simon Déziel (sdeziel) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: linux-image-2.6.28-15-generic 2.6.28-15.49
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Uname: Linux 2.6.28-15-generic x86_64
UserGroups: admin

Simon Déziel (sdeziel) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=bc11ced7-042c-45c0-aec8-bd131047b912
MachineType: LENOVO 2743CTO
Package: linux-image-2.6.28-15-generic 2.6.28-15.49
PackageArchitecture: amd64
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.28-15-generic root=UUID=f8e2584e-1b5d-47ab-83ab-a69ccea81a7b ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-15.49-generic
Uname: Linux 2.6.28-15-generic x86_64
UserGroups:

Simon Déziel (sdeziel) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=bc11ced7-042c-45c0-aec8-bd131047b912
MachineType: LENOVO 2743CTO
Package: linux-image-2.6.28-15-generic 2.6.28-15.49
PackageArchitecture: amd64
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.28-15-generic root=UUID=f8e2584e-1b5d-47ab-83ab-a69ccea81a7b ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-15.49-generic
Uname: Linux 2.6.28-15-generic x86_64
UserGroups:

ktulu77 (ktulu-highwaytoacdc) wrote :

This bug also affects me : If I disable my wireless card, my computer can shutdown properly. If my wifi card is enabled, the computer hangs at the end of the shutdown process. I just have a black screen and nothing happens.

I am on Jaunty 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 19:25:34 UTC 2009 x86_64 GNU/Linux

My laptop is a Dell XPS 1530.

Wifi card : Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

I also have a friend which called me to ask why his computer cannot shutdown (I have installed Jaunty on it). He is not a geek and I had to explain him by phone that he had to remove the battery to shutdown his computer (holding the power button did not worked).

What can I do to help this bug to be fixed ? This is a very important issue.

Simon Déziel (sdeziel) wrote :

Hi ktulu77,

An easy workaround is to turn off the wireless card before shutdown. You can do that using the hardware switch on the laptop or using the software switch (right click on the Network Manager icon near the date).

The other solution would be to install the package linux-backports-modules-jaunty. To do that you need to enable the backport repository. Open a terminal and copy-paste the following command :

echo "deb http://archive.ubuntu.com/ubuntu jaunty-backports main universe multiverse restricted" | sudo tee -a /etc/apt/sources.list && sudo apt-get update && sudo apt-get upgrade

ktulu77 (ktulu-highwaytoacdc) wrote :

Ok thank you. I will explain that to my friend.

I have switched to Karmic alpha6 on my laptop and all is ok, It can shutdown correctly.

Saivann Carignan (oxmosys) wrote :

w3wsrmn : Can you try ubuntu 9.10 alpha 6 and confirm if the bug is fixed for you also?

david (dhw1978) wrote :

yesterday night . i upgrade ubuntu910 from 904. this issue still exist.

my lantop config as following
HP NC6230
PM 2.03G/ATI X300 64M/768M memory/PATA 40Gig

w3wsrmn (w3wsrmn) wrote :

Saïvann Carignan,
I do not experience this bug with a 9.10 beta livecd session.

Saivann Carignan (oxmosys) wrote :

Thank you very much for your confirmation and for keeping the bug report updated. Since you are the reporter of this bug, that means that the bug is fixed in karmic. If other people are able to reproduce similar or identical issues, that means that this is a different bug which would need to be reported separately. I'm changing bug status to fix released.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released

The K00killwlan script contributed by Saïvann Carignan worked perfectly, except that I think the name should be S00killwlan.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers